<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ClientResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=>$this->id ,
            "Entreprise"=>$this->entreprise ,
            "Name"=>$this->Name ,
            "Pays"=>$this->Pays ,
            "Ville"=>$this->Ville ,
            "Telephone"=>$this->Telephone ,
            "Adresse"=>$this->Adresse ,
            "created_at"=>$this->created_at ,
            "updated_at"=>$this->updated_at
        ];
    }
}
