<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class NutritionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=>$this->id ,
            "Name"=>$this->Name ,
            "Entreprise"=>$this->entreprise ,
            "Description"=>$this->Description ,
            "Chambre"=>$this->chambre ,
            "Fournisseur"=>$this->fournisseur ,
            "BarCode"=>$this->BarCode ,
            "DLCDate"=>$this->DLCDate ,
            "DDMDate"=>$this->DDMDate ,
            "ExpirationAlert"=>$this->ExpirationAlert ,
            "Category"=>$this->Category ,
            "created_at"=>$this->created_at ,
            "updated_at"=>$this->updated_at,
            "media" => $this->getMedia('NutritionImages')->map(function ($mediaItem) {
                return $mediaItem->getUrl(); // or $mediaItem->getFullUrl() if you need the full URL
            }),
        ];
    }
}
