<?php

namespace Database\Factories;

use App\Models\Chambre;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Chambre>
 */
class ChambreFactory extends Factory
{

    protected $model = Chambre::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'ZoneId' => 1, // Assuming Zone IDs range from 1 to 10
            'Name' => $this->faker->word,
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            'Surface' => $this->faker->randomFloat(2, 10, 1000),
            'Temperature' => $this->faker->randomFloat(2, -10, 40),
        ];
    }
}
