<?php

namespace Database\Factories;

use App\Models\Equipement;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Equipement>
 */
class EquipementFactory extends Factory
{

    protected $model = Equipement::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'Name' => $this->faker->word,
            'ZoneId' => 1, // Assuming Zone IDs range from 1 to 10
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            'Description' => $this->faker->sentence,
        ];
    }
}
