<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('entreprises', function (Blueprint $table) {
            $table->id();
            $table->string('Name');
            $table->string("Image")->nullable();
            $table->integer('ICE')->unique();
            $table->string('Email')->unique();
            $table->string("Telephone");
            $table->string("Adresse");
            $table->string("Pays")->nullable();
            $table->string("Ville")->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('entreprises');
    }
};
