<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {



        $this->call([


            EntrepriseSeeder::class,
            RolesAndPermissionsSeeder::class,
            UserSeeder::class,
            ZoneSeeder::class,
            ChambreSeeder::class,
            EquipementSeeder::class,
            FournisseurSeeder::class,
            NutritionSeeder::class,
            TacheSeeder::class,
            ClientSeeder::class,
            CommandeSeeder::class,
            NutritionTraceabilitySeeder::class,
        ]);
    }
}
