<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;


class LogoutController extends Controller
{
    public function Logout(Request $request){
        try {

            if(Auth::user()){
               $request->user()->token()->revoke();
               return response()->json(["success"=>true,'Message' =>"Successfully Logged out" , "status"=>200]);
            }
        } catch (\Exception $e) {
            return response()->json(["success"=>false,'error'=>"Logout Failed","Error_Message"=>$e->getMessage(),"status"=>500]);
        }
    }
}
