<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ChambreResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=> $this->id,
            "Name"=> $this->Name ,
            "Zone"=>$this->zone ,
            "Entreprise"=>$this->entreprise ,
            "Surface"=>$this->Surface ,
            "Temperature"=>$this->Temperature ,
            "created_at"=>$this->created_at ,
            "updated_at"=>$this->updated_at,
        ];
    }
}
