<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class EntrepriseResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=>$this->id ,
            "Name"=>$this->Name ,
            "ICE"=>$this->ICE  ,
            "Email"=>$this->Email ,
            "Telephone"=>$this->Telephone ,
            "Adresse"=>$this->Adresse ,
            "Pays"=>$this->Pays ,
            "Ville"=>$this->Ville ,
            "media" => $this->getMedia('EntrepriseImages')->map(function ($mediaItem) {
                return $mediaItem->getUrl(); // or $mediaItem->getFullUrl() if you need the full URL
            }),
        ];
    }
}
