<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class NutritionTraceabilityResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=>$this->id ,
            "Entreprise"=>$this->entreprise ,
            "Nutrition"=>$this->nutrition ,
            "User"=>$this->User ,
            "Unite"=>$this->Unite ,
            "NonConformities"=>$this->NonConformities ,
            "Raison"=>$this->Raison ,
            "Quantite"=>$this->Quantite ,
            "created_at"=>$this->created_at ,
            "updated_at"=>$this->updated_at
        ];
    }
}
