<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TacheResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=> $this->id ,
            "Entreprise"=> $this->entreprise ,
            "User"=>$this->user ,
            "TaskName"=>$this->Name ,
            "Date"=>$this->Date ,
            "Type"=>$this->Type ,
            "Category"=>$this->Category ,
            "status"=>$this->Status ,
            "Message"=>$this->Message ,
            "Description"=>$this->Description ,
            "created_at"=>$this->created_at ,
            "updated_at"=>$this->updated_at
        ];
    }
}
