<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ZoneResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            "Name" => $this->Name,
            "Entreprise" => $this->entreprise,
            "Description" => $this->Description,
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at
        ];
    }
}
