<?php

namespace App\Observers;

use App\Models\Chambre;
use Illuminate\Support\Facades\Log;

class ChambreObserver
{
    /**
     * Handle the Chambre "created" event.
     */
    public function created(Chambre $chambre): void
    {
        $message = "New Chamber Is Created ".$chambre->Name ;
        Log::info($message);
    }

    /**
     * Handle the Chambre "updated" event.
     */
    public function updated(Chambre $chambre): void
    {
        //
    }

    /**
     * Handle the Chambre "deleted" event.
     */
    public function deleted(Chambre $chambre): void
    {
        //
    }

    /**
     * Handle the Chambre "restored" event.
     */
    public function restored(Chambre $chambre): void
    {
        //
    }

    /**
     * Handle the Chambre "force deleted" event.
     */
    public function forceDeleted(Chambre $chambre): void
    {
        //
    }
}
