<?php

namespace Database\Factories;

use App\Models\Commande;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Commande>
 */
class CommandeFactory extends Factory
{

    protected $model = Commande::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            'ClientId' => 1, // Assuming Client IDs range from 1 to 10
            'Name' => $this->faker->word,
            'Quantite' => rand(1, 100),
            'BarCode' => $this->faker->ean13,
            'Description' => $this->faker->sentence,
        ];
    }
}
